Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 161565

Summary: [RFE] rhnreg_ks options to delete/replace old profiles on RHN
Product: Red Hat Satellite 5 Reporter: John T. Rose <inode0>
Component: RegistrationAssignee: Clifford Perry <cperry>
Status: CLOSED DUPLICATE QA Contact: Brandon Perkins <bperkins>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecified   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-21 20:31:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John T. Rose 2005-06-24 14:45:07 UTC
Description of problem:

We currently have around 400 user accounts on RHN. Not an insignificant number
of these users have had trouble with re-registering machines with their
activation keys. To reduce the support overhead of dealing with them
individually we eventually added the --force option to our bootstrap script,
which I believe is something you also include in your example bootstrap script now.

This leads to the problem of users registering, messing things up, registering
again, and so on cluttering up the corporate RHN account with lots of inactive
profiles. While I know there are many issues with automatic deletion of old
profiles (some machines want more than one, some machines have profiles on
multiple rhn accounts, etc.) the most common situation is that a user is
re-registering his machine on a single RHN account and really wants the profile
replaced.

So I would like to request that options such as --delete and/or --replace be
added to rhnreg_ks to ease this problem at least in the common cases. In the
more complicated cases such as those mentioned above it would be fine to say
"sorry but we can't perform this operation."

Thanks,
John

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. rhnreg_ks a new system with an activaton key
2. run rhnreg_ks --force with an activation key on the same system
  
Actual results:

See two profiles on RHN, one of which is simply cruft. We would like to instead
run rhnreg_ks --force --replace with the result that only the newly created
profile will exist on RHN after the registration is complete.

Expected results:


Additional info:

Comment 2 Brandon Perkins 2007-03-12 17:00:39 UTC
Move to Bugzilla Bug 218517: RHN 510 Hosted Triage Tracker.

Comment 3 John T. Rose 2007-03-28 02:45:29 UTC
Since I requested this enhancement around 2 years ago I'm curious but am not
allowed to see Bug 218517. Can you let me know here or elsewhere what decision
was made or what the meaning of the previous comment is please?

Comment 4 Red Hat Bugzilla 2007-04-12 00:15:54 UTC
User bnackash@redhat.com's account has been closed

Comment 6 Red Hat Bugzilla 2007-10-26 00:47:58 UTC
User jslagle@redhat.com's account has been closed

Comment 7 Jeremy West 2008-11-21 20:31:12 UTC

*** This bug has been marked as a duplicate of bug 248044 ***